<?php

namespace Drupal\server_beacon\Plugin;

use Drupal\Component\Plugin\ConfigurableInterface;
use Drupal\Core\Plugin\PluginFormInterface;

/**
 * Interface for server beacons with plugin form configurations.
 *
 * Indicates that a server beacon is configurable and has a plugin form to
 * support the configuration settings.
 */
interface ConfigurableServerBeaconInterface extends ServerBeaconInterface, ConfigurableInterface, PluginFormInterface {
}
